Cloud - software belowe recommended

Dear Cambium experts, what have you mixed up on cnmaestro in the cloud?
The system shows that all devices with soft 4.2.2.1-r3 with software lower than recommended. And in the update tab, like a bull, it says that it is recommended soft?
Another blindly change?

Hi Pshemo,
Could you please confirm the device type you referring to. Is it AP or cnMatrix.

Regards,
Indra

All Access point are affected this issue

Could you please provide issue screenshots. is the issue is with only E series? Please confirm.

You changed version 6.4.2.1-r1 to recommended in onobarding process but in tab upgrade 4.2.2.1-r3 is still recomended